// $Id: KappaLayoutTest4.java,v 2.2 2001/06/02 14:04:59 danson Exp $

package examples;

import ise.java.awt.*;
import java.awt.*;
import java.applet.*;
import java.awt.event.*;
import java.util.*;

public class KappaLayoutTest4 extends Applet {

   public void init() {
      // set up a Frame
      final Frame f = new Frame("KappaLayout Test 4");
      f.setResizable(false);
      f.addWindowListener(new WindowAdapter() {
                             public void windowClosing(WindowEvent we) {
                                f.dispose();
                             }
                          });
      KappaLayout kl = new KappaLayout();
      f.setLayout(kl);

      // make a calendar like Sean's
      KappaLayout kl1 = new KappaLayout();
      Panel p1 = new Panel(kl1);
      p1.add(new Button("<"),   "0,0,1,1");
      p1.add(new Label("Aug", Label.CENTER),  "1,0,1,1,0,w");
      p1.add(new Button(">"),   "2,0,1,1");
      p1.add(KappaLayout.createHorizontalStrut(10), "3,0,,,,w");
      p1.add(new Button("<"),   "4,0,1,1");
      p1.add(new Label("2000", Label.CENTER), "5,0,1,1,0,w");
      p1.add(new Button(">"),   "6,0,1,1");
      kl1.makeColumnsSameWidth(new int[]{0,2,4,6});
      kl1.makeColumnsSameWidth(1,5);

      KappaLayout kl2 = new KappaLayout();
      Panel p2 = new Panel(kl2);
      p2.add(new Label("Su", Label.CENTER), "0,0");
      p2.add(new Label("Mo", Label.CENTER), "1,0");
      p2.add(new Label("Tu", Label.CENTER), "2,0");
      p2.add(new Label("We", Label.CENTER), "3,0");
      p2.add(new Label("Th", Label.CENTER), "4,0");
      p2.add(new Label("Fr", Label.CENTER), "5,0");
      p2.add(new Label("Sa", Label.CENTER), "6,0");
      KappaLayout.Constraints q = KappaLayout.createConstraint();
      q.s = "w";
      for ( int i = 0; i < 6; i++ ) {
         for ( int j = 0;  j < 7; j++ ) {
            q.x = j;
            q.y = i + 1;
            if ( i * 7 + j > 0 && i * 7 + j <= 31 ){
               Button b = new Button(String.valueOf(i * 7 + j));
               if ((i * 7 + j) % 7 == 0 || (i * 7 + j) % 7 == 6)
                  b.setBackground(Color.cyan.darker());
               p2.add(b, q);
            }
         }
      }
      kl2.makeColumnsSameWidth(new int[]{0,1,2,3,4,5,6,7});

      f.add(p1, "0,0,,,,,3");
      f.add(KappaLayout.createVerticalStrut(2), "0,1");
      f.add(p2, "0,2,,,,,3");

      f.pack();
      f.show();
   }

   public static void main(String[] args) {
      new KappaLayoutTest4().init();
   }
}


