/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

package searchtool;

import searchtool.wrappers.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;
import java.util.*;
import java.awt.*;

/**
 */

public class TaskManager {
	private Vector TASK_VECTOR = new Vector();
	public TaskManager() {
	}
	public void addTask(TaskObject to) {
		// add to vector
		TASK_VECTOR.add(to);
	}
	public boolean taskIsRunning(String TASKNAME) {
		for (int i = 0; i < TASK_VECTOR.size(); i++) {
			if (((TaskObject) TASK_VECTOR.get(i)).getName().equals(TASKNAME)) {
				return true;
			}
		}
		return false;
	}
	/**
	 *  caution, this method removes the task, but does not stop it.
	 */
	public void removeTask(String TASKNAME) {
		for (int i = 0; i < TASK_VECTOR.size(); i++) {
			if (((TaskObject) TASK_VECTOR.get(i)).getName().equals(TASKNAME)) {
				// remove from vector
				TASK_VECTOR.remove(i);
			}
		}
	}
	public void stopAndRemoveTask(String TASKNAME) {
		for (int i = 0; i < TASK_VECTOR.size(); i++) {
			if (((TaskObject) TASK_VECTOR.get(i)).getName().equals(TASKNAME)) {
				// hold
				TaskObject holdMe = (TaskObject) TASK_VECTOR.get(i);
				if (holdMe != null && holdMe.getTask() != null)
					holdMe.stopTask();
				// remove
				removeTask(TASKNAME);
			}
		}
	}
	public void stopAndRemoveAllTasks(){
		for(int i = 0; i < TASK_VECTOR.size(); i++){
			((TaskObject)TASK_VECTOR.get(i)).stopTask();	
		}	
	}
}
