/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
    
/*
 * HlLastconnectedTableModel.java
 *
 * Created on April 14, 2002, 8:38 PM
 */

package searchtool.halflife;

import searchtool.*;
import searchtool.halflife.*;
import searchtool.wrappers.*;

/**
 *
 * @author  zoidberg
 * @version
 */
public class HlLastconnectedTableModel extends HlTableModel {
    
    private int columncount = 10;
    //private static final int CONNECTIONNUMBER = 9;
    private static ServerListManager hl_srl;
    
    /** Creates new HlLastconnectedTableModel */
    public HlLastconnectedTableModel(HlServerListManager LIST) {
        super(LIST);
        hl_srl = LIST;
    }
    
    public int getColumnCount(){
        return columncount;
    }
    
    public String getColumnName(int column){
        if(column < 9)
            return super.getColumnName(column);
        else{
            return "CONNECTIONDATE";
        }
    }
    
    public Object getValueAt(int row, int column) {
        if(column < 9)
            return super.getValueAt(row,column);
        else{
            return ((ServerElement)getElement(row)).getDate().toString();
        }
    }
}

