/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

package searchtool.interfaces;

/**
 * @author thorsten
 *
 * up to now just a common type for elements that can be stored in the tablemodels of searchtool.
 * it is used to make sure that any Element that can be added to any list can be compared correctly
 * by its identity in order to make sure not to allow more than one object that describes the same Element (server).
 * 
 */
public interface Element extends Comparable{
	
	//public String getIp();

	//public Integer getPort();
	
	public long getId();

}
