/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
    
/*
 * TaskObject.java
 *
 * Created on January 16, 2002, 11:23 PM
 */
package searchtool.wrappers;

import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;
import searchtool.*;
import searchtool.interfaces.*;

/**
 *
 * @author  zoidberg
 * @version
 */

public class TaskObject {
    private StoppableThread task;
    private String taskname;
    private Thread thread;
    
    /** Creates new TaskObject */
    public TaskObject(String TASKNAME,StoppableThread TASK,FinalCall finalCall) {
		final FinalCall call = finalCall;
        task = TASK;
        taskname = TASKNAME;
        thread = new Thread(task);
        // here check if the task completed
        Thread controller  = new Thread(){
            public void run(){
                while(true){
                    try{
                        Thread.sleep(300);
                    }catch(Exception e){
                        ;
                    }
                    if(task.isHolded()){                   
                    	if(call != null){
                    		call.call();	
                    	}
                        Searchtool.getTaskManager().removeTask(taskname);
                        break;
                    }
                }
            }
        };
        controller.start();
    }

	/**
     * return the wrapped StoppableThread
     */
    public StoppableThread getTask(){
        return task;
    }
    /**
     * return the name of the task
     */
    public String getName(){
        return taskname;
    }
    /**
     * selfexplaining
     */
    public void stopTask() {
        // stop task
        task.hold();
    }
    /**
     * selfexplaining
     */
    public void startTask(){
    	thread.start();	
    }
}
