// $Id: MileageDialog.java,v 1.2 2001/03/22 20:54:59 danson Exp $

package ise.java.awt.test;

import java.awt.*;
import java.awt.event.*;
import java.text.*;
import java.util.*;
import ise.java.awt.*;

public class MileageDialog extends Dialog {

   private NumberFormat _cf = NumberFormat.getCurrencyInstance();
   private String _mileage_btn_txt = "<Itemize>";
   private Button btn;
   private Hashtable miles;
   private Label total_field;
   private String pad = "               ";
   private TextField[] miles_tf = new TextField[7];
   private TextField[] purposes = new TextField[7];
   private Label[] amounts = new Label[7];
   private Frame _parent;

   public MileageDialog(Frame f) {
      super(f, "Mileage Calculation: @ $0.31 per mile", true);
      setResizable(false);
      _parent = f;
      KappaLayout kl0 = new KappaLayout();
      this.setLayout(kl0);

      Label dl = new Label("Miles", Label.CENTER);
      dl.setBackground(Color.cyan.darker());
      this.add(dl, "0, 0, 1, 1, 0, wh, 1");
      dl = new Label("Purpose", Label.CENTER);
      dl.setBackground(Color.cyan.darker());
      this.add(dl, "1, 0, 1, 1, 0, wh, 1");
      dl = new Label("Amount", Label.CENTER);
      dl.setBackground(Color.cyan.darker());
      this.add(dl, "2, 0, 1, 1, 0, wh, 1");
      miles = new Hashtable();
      KappaLayout.Constraints q = KappaLayout.createConstraint();
      int top_row = 1;
      for ( int y = top_row; y < top_row + 7; y++ ) {
         q.x = 0;
         q.y = y;
         TextField mileage = new TextField(5);
         miles_tf[y - top_row] = mileage;
         this.add(mileage, q);
         ++ q.x;
         TextField purpose = new TextField(15);
         purposes[y - top_row] = purpose;
         this.add(purpose, q);
         ++ q.x;
         Label amount = new Label(pad, Label.RIGHT);
         amounts[y - top_row] = amount;
         miles.put(mileage, amount);
         this.add(amount, q);
      }
      ++ q.y;
      q.x = 1;
      q.a = KappaLayout.E;
      Label total_label = new Label("Total:", Label.RIGHT);
      total_label.setBackground(Color.cyan.darker());
      this.add(total_label, q);
      ++ q.x;
      total_field = new Label(pad, Label.RIGHT);
      total_field.setBackground(Color.cyan.darker());
      this.add(total_field, q);
      ++ q.y;
      this.add(KappaLayout.createVerticalStrut(15), q);

      KappaLayout kl = new KappaLayout();
      Panel btn_panel = new Panel(kl);
      Button ok_btn = new Button("OK");
      Button cancel_btn = new Button("Cancel");
      Button clear_btn = new Button("Clear");
      btn_panel.add("0,0,1,1,0,w", ok_btn);
      btn_panel.add("1,0,1,1,0,w", cancel_btn);
      btn_panel.add("2,0,1,1,0,w", clear_btn);
      kl.makeColumnsSameWidth(new int[]{0, 1, 2});

      q.x = 0;
      ++ q.y;
      q.w = 3;
      q.a = 0;
      q.s = "0";
      this.add(btn_panel, q);
      System.out.println("pack");
      this.pack();
      System.out.println("done packing");

   }

   public Insets getInsets() {
      Insets i = super.getInsets();
      return new Insets(i.top + 10, i.left + 10, i.bottom + 10, i.right + 10);
   }

   public static void main(String[] args) {
      Dialog d = new MileageDialog(new Frame());
      System.out.println("show");
      d.show();
      System.out.println("done showing");
   }

}



